SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 1657255 - OSEv3 vars overwritten at dynamic inventory when kuryr is enabled
Summary: OSEv3 vars overwritten at dynamic inventory when kuryr is enabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.10.z
Assignee: Luis Tomas Bolivar
QA Contact: Jon Uriarte
URL:
Whiteboard:
Depends On: 1657252
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-07 14:13 UTC by Luis Tomas Bolivar
Modified: 2019-01-10 09:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1657252
Environment:
Last Closed: 2019-01-10 09:27:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift openshift-ansible pull 10829 None None None 2018-12-07 14:13:38 UTC
Red Hat Product Errata RHBA-2019:0026 None None None 2019-01-10 09:27:13 UTC

Description Luis Tomas Bolivar 2018-12-07 14:13:39 UTC
+++ This bug was initially created as a clone of Bug #1657252 +++

When deploying a multi-master setup with kuryr enabled, the OSEv3 vars get overwritten by the kuryr vars at the dynamic inventory, therefore missing important information.

This for instance leads to removing the value for 'openshift_master_cluster_hostname', which makes all the master nodes to point to one of the masters instead of to the loadbalancer in front of them. Thus, if that master is shutdown, the complete cluster will be down as the other master are trying to reach it.

Comment 2 Jon Uriarte 2018-12-20 09:43:35 UTC
Verified in openshift-ansible-3.10.89-1.git.0.14ed1cb.el7.noarch on top of OSP 13 2018-12-13.4 puddle.

Verification steps:
- Deploy OCP 3.10 on OSP 13
- Run the dynamic inventory:
  ยท /usr/share/ansible/openshift-ansible/playbooks/openstack/inventory.py
- Check the output contains the "openshift_master_cluster_hostname" inside inventory['OSEv3']['vars']:

    "OSEv3": {
        "hosts": [
            "app-node-0.openshift.example.com",
            "app-node-1.openshift.example.com",
            "master-0.openshift.example.com",
            "infra-node-0.openshift.example.com"
        ],
        "vars": {
            "kuryr_openstack_api_lb_ip": "172.30.0.1",
            "kuryr_openstack_auth_url": "http://10.0.0.104:5000//v3",
            "kuryr_openstack_password": "redhat",
            "kuryr_openstack_pod_project_id": "8b535cd41701444e83642e0d7b37ad37",
            "kuryr_openstack_pod_sg_id": "e106f779-0c88-4353-a7e3-4569d7829dc2",
            "kuryr_openstack_pod_subnet_id": "fa764533-c9ff-475f-ac91-026f4108ead7",
            "kuryr_openstack_project_domain_name": "Default",
            "kuryr_openstack_project_id": "8b535cd41701444e83642e0d7b37ad37",
            "kuryr_openstack_service_subnet_id": "bd3d8268-58b2-4f81-9ba8-476997fb060e",
            "kuryr_openstack_user_domain_name": "Default",
            "kuryr_openstack_username": "shiftstack_user",
            "kuryr_openstack_worker_nodes_subnet_id": "cd2d71bd-2874-4aa6-9254-4f037c8eda90",
            "openshift_master_cluster_hostname": "172.30.0.1"                     <<------------
        }
    }

With previous OCP versions, the parameter "openshift_master_cluster_hostname" was being deleted from the inventory.

Comment 4 errata-xmlrpc 2019-01-10 09:27:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0026


Note You need to log in before you can comment on or make changes to this bug.